Package org.htmlunit

# Class DownloadedContent.InMemory

java.lang.Object
org.htmlunit.DownloadedContent.InMemory

All Implemented Interfaces:
  `Serializable`, `DownloadedContent`

Enclosing interface:
  `DownloadedContent`

public static class DownloadedContent.InMemory extends Object implements DownloadedContent
Implementation keeping content in memory.

See Also:
  - Serialized Form

- ## Nested Class Summary

  ## Nested classes/interfaces inherited from interface org.htmlunit.DownloadedContent

  `DownloadedContent.InMemory, DownloadedContent.OnFile`

- ## Method Summary

  Modifier and Type
  Method
  Description
  `void`
  `cleanUp()`
  Clean up resources associated to this content.
  `InputStream`
  `getInputStream()`
  Returns a new `InputStream` allowing to read the downloaded content.
  `boolean`
  `isEmpty()`
  Returns true if the content is empty.
  `long`
  `length()`
  Returns the number of bytes.

  ### Methods inherited from class java.lang.Object

  `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- ## Method Details

  - ### getInputStream

    public InputStream getInputStream()
    Description copied from interface: `DownloadedContent`
    Returns a new `InputStream` allowing to read the downloaded content.
    Specified by:
      `getInputStream` in interface `DownloadedContent`
    Returns:
      the InputStream

  - ### cleanUp

    public void cleanUp()
    Description copied from interface: `DownloadedContent`
    Clean up resources associated to this content.
    Specified by:
      `cleanUp` in interface `DownloadedContent`

  - ### isEmpty

    public boolean isEmpty()
    Description copied from interface: `DownloadedContent`
    Returns true if the content is empty.
    Specified by:
      `isEmpty` in interface `DownloadedContent`
    Returns:
      true or false

  - ### length

    public long length()
    Description copied from interface: `DownloadedContent`
    Returns the number of bytes.
    Specified by:
      `length` in interface `DownloadedContent`
    Returns:
      the length